'use strict';

/*!
 * @techmely/utils
 * Copyright(c) 2021-2024 Techmely <techmely.creation@gmail.com>
 * MIT Licensed
 */


// src/isWebkit.ts
function isWebkit() {
  return typeof document !== "undefined" && "webkitFontSmoothing" in document.documentElement.style;
}

// src/webkitVersion.ts
function webkitVersion() {
  if (typeof navigator === "undefined")
    return 0;
  return isWebkit() ? +(/\bAppleWebKit\/(\d+)/.exec(navigator.userAgent) || [0, 0])[1] : 0;
}

exports.webkitVersion = webkitVersion;
